<?php

namespace Bixo\Statistic;

use DB;
use Illuminate\Database\Seeder;

class StatisticsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('statistics')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'statistic.statistics.view',
                'name'      => 'View Statistics',
            ],
            [
                'slug'      => 'statistic.statistics.create',
                'name'      => 'Create Statistics',
            ],
            [
                'slug'      => 'statistic.statistics.edit',
                'name'      => 'Update Statistics',
            ],
            [
                'slug'      => 'statistic.statistics.delete',
                'name'      => 'Delete Statistics',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/statistic/statistics',
                'name'        => 'Statistics',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/statistic/statistics',
                'name'        => 'Statistics',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'statistics',
                'name'        => 'Statistics',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Statistic',
                'module'    => 'Statistics',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'statistic.statistics.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
