<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for statistics in statistic package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  statistics module in statistic package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Statistics',
    'names'         => 'Statistics',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Statistics',
        'sub'   => 'Statistics',
        'list'  => 'List of statistics',
        'edit'  => 'Edit statistics',
        'create'    => 'Create new statistics'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'type'                       => 'Please enter type',
        'value'                      => 'Please enter value',
        'date'                       => 'Please select date',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'type'                       => 'Type',
        'value'                      => 'Value',
        'date'                       => 'Date',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'type'                       => ['name' => 'Type', 'data-column' => 1, 'checked'],
        'value'                      => ['name' => 'Value', 'data-column' => 2, 'checked'],
        'date'                       => ['name' => 'Date', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Statistics',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
